<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <!-- Google Tag Manager -->
    <script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
            new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
        j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
        'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
    })(window,document,'script','dataLayer','GTM-NLPDPX3');</script>
    <!-- End Google Tag Manager -->

    <meta charset="UTF-8">
    <title>Tagihan Pendaftar</title>
</head>
<body>
<!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=GTM-NLPDPX3"
                  height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->

<section layout:fragment="main" class="content">
    <!--Dashboard Pendaftar-->
    <div class="" sec:authorize = "hasAuthority('VIEW_PENDAFTAR')">
        <div class="x_panel">
            <div class="x_title">
                <ul class="nav navbar-right panel_toolbox">
                    <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                    </li>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                        <ul class="dropdown-menu" role="menu">
                            <li><a href="#">Settings 1</a>
                            </li>
                            <li><a href="#">Settings 2</a>
                            </li>
                        </ul>
                    </li>
                    <li><a class="close-link"><i class="fa fa-close"></i></a>
                    </li>
                </ul>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-12 col-sm-12 col-xs-12">
                <div class="btn-toolbar">
                    <div class="btn-group" th:if="${tagihan != null and tagihan.pendaftar.leads.jenjang.S1 == tagihan.pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran S1</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default active" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default" type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/formPendaftar}">
                            <button class="btn btn-default" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/detailPendaftar/form}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                    <div class="btn-group" th:if="${tagihan != null and tagihan.pendaftar.leads.jenjang.S2 == tagihan.pendaftar.leads.jenjang}">
                        <a th:href="@{/dashboardPendaftar}">
                            <button class="btn btn-default" type="button">Form Pendaftaran</button>
                        </a>
                        <a th:href="@{/tagihan/listPendaftar}">
                            <button class="btn btn-default active" type="button">Tagihan Pendaftaran</button>
                        </a>
                        <a  th:href="@{/detailPendaftar/formS2}">
                            <button class="btn btn-default" type="button">Data Detail</button>
                        </a>
                        <a th:href="@{/jadwalTest/form}">
                            <button class="btn btn-default " type="button">Jadwal Test</button>
                        </a>
                        <a th:href="@{/kartuUjian/form}">
                            <button class="btn btn-default" type="button">Cetak Kartu</button>
                        </a>
                        <a th:href="@{/hasilTest/formPendaftar}">
                            <button class="btn btn-default" type="button">Hasil Test</button>
                        </a>
                        <a th:href="@{/daftarUlang/formPendaftar}">
                            <button class="btn btn-default" type="button">Daftar Ulang</button>
                        </a>
                        <a th:href="@{/uploadBerkas/form}">
                            <button class="btn btn-default" type="button">Berkas</button>
                        </a>
                    </div>
                </div>

                <div class="row" id="printDiv" >
                    <div class="x_title">
                        <h3>
                            Berikut kami sampaikan tagihan biaya formulir pendaftaran.
                        </h3>
                    </div>
                    <div class="x_panel tile fixed_height_160" >
                        <div class="card text-white bg-primary mb-6" style="max-width: 40rem;">
                            <form th:action="@{/tagihan/cekKode}" method="get">
                                <table style="color: white;">
                                    <tr>
                                        <td colspan="3"><h2><b>&nbsp; Punya Kode Voucher ?</b></h2></td>
                                    </tr>
                                    <tr>
                                        <td colspan="3">&nbsp;&nbsp; Masukan Kode Voucher Kamu Untuk Merubah Nilai Tagihan</td>
                                    </tr>
                                    <tr><td>&nbsp;</td></tr>
                                    <tr>
                                        <td colspan="2">
                                            <input style="margin-left: 10px;" type="text" th:value="${kode}" name="kode" class="form-control" placeholder="Kode Voucher...">
                                        </td>
                                        <td>
                                            &nbsp;<button name="cekKode" style="margin-left: 10px;" type="submit" class="btn btn-sm btn-warning "><i class="fa fa-refresh"></i>&nbsp; Cek Kode</button>
                                        </td>
                                    </tr>
<!--                                    <tr th:if="${idRef}">-->
<!--                                        <p></p>-->
<!--                                    </tr>-->
                                </table>
                                &nbsp;
                            </form>
                        </div>
                        <div class="x_content">
                            <table class="tabs-left" th:if="${tagihan} != null">
                                <tr style="font-weight: bold">
                                    <td width="130px">Nomor Tagihan</td>
                                    <td width="8px">:</td>
                                    <td  th:text="${tagihan.nomorTagihan}">201910000100010</td>
                                </tr>
                                <tr>
                                    <td width="130px">Nama</td>
                                    <td width="8px">:</td>
                                    <td th:text="${tagihan.pendaftar.leads.nama}">Haffizh</td>
                                </tr>
                                <tr>
                                    <td width="130px">Jenjang</td>
                                    <td width="8px">:</td>
                                    <td th:text="${tagihan.pendaftar.leads.jenjang}">S1</td>
                                </tr>
                                <tr>
                                    <td width="130px">Program Studi</td>
                                    <td width="8px">:</td>
                                    <td th:text="${tagihan.pendaftar.programStudi.nama}">Akutansi Syariah</td>
                                </tr>
                                <tr>
                                    <td width="130px">Keterangan</td>
                                    <td width="8px">:</td>
                                    <td  th:text="${tagihan.keterangan}">Tagihan Pendaftaran a.n Haffizh Ahmad Fauzi</td>
                                </tr>
                                <tr>
                                    <td width="130px">Nilai Tagihan</td>
                                    <td width="8px" style="font-size: 20px;">:</td>
                                    <td style="font-weight: bold; font-size: 20px;"  th:if="${referal == null}" th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilai, 0, 'POINT', 2, 'COMMA') }">Rp.300.000,00</td>
                                    <td style="font-weight: bold; font-size: 20px; text-decoration: line-through;"  th:if="${referal != null}" th:text="${'Rp. ' + #numbers.formatDecimal(tagihan.nilai, 0, 'POINT', 2, 'COMMA') }">Rp.300.000,00</td>

                                </tr>
                                <tr th:if="${referal != null}" >
                                    <td width="130px">Nilai Tagihan Dengan Voucher</td>
                                    <td width="8px" style="font-size: 20px;">:</td>
                                    <td style="font-weight: bold; font-size: 20px;"  th:text="${'Rp. ' + #numbers.formatDecimal(nilaiD, 0, 'POINT', 2, 'COMMA') }">Rp.300.000,00</td>

                                </tr>
                                <tr th:if="${referal != null}" >
                                    <td></td>
                                    <td></td>
                                    <td>
                                        <form th:action="@{/tagihan/editDetailTagihanRegistrasi}" th:object="${editDuDto}" method="post">
                                            <input type="hidden" th:value="${tagihan.id}" name="tagihan">
                                            <input type="hidden" th:value="${tagihan.pendaftar.id}" name="idPendaftar">
                                            <input type="hidden" th:value="${idRef.id}" name="referal">
                                            <input type="hidden" th:value="${nilaiD}" name="totalTagihan">

                                            <button class="btn btn-primary"><i class="fa fa-newspaper-o"></i>&nbsp; Update Tagihan</button>
                                        </form>
                                    </td>
                                </tr>
                                <tr><td>&nbsp;</td></tr>
                            </table>
                            <table class="tabs-left" th:if="${tagihan} == null">
                                <tr style="font-weight: bold">
                                    <td width="130px">Nomor Registrasi</td>
                                    <td width="8px">:</td>
                                    <td  th:text="${pendaftar.nomorRegistrasi}">201910000100010</td>
                                </tr>
                                <tr>
                                    <td width="130px">Nama</td>
                                    <td width="8px">:</td>
                                    <td th:text="${pendaftar.leads.nama}">Haffizh</td>
                                </tr>
                                <tr>
                                    <td width="130px">Program Studi</td>
                                    <td width="8px">:</td>
                                    <td th:text="${pendaftar.programStudi.nama + ' - ' + pendaftar.konsentrasi}">Akutansi Syariah</td>
                                </tr>
                                <tr>
                                    <td width="130px">Nominal Tagihan</td>
                                    <td width="8px">:</td>
                                    <td>
                                        <h2 style="font-weight: bold" th:if="${referal == null}" th:text="${'Rp. ' + #numbers.formatDecimal(nilai, 0, 'POINT', 2, 'COMMA') }"></h2>
                                        <h2 style="font-weight: bold; text-decoration: line-through;" th:if="${referal != null}" th:text="${'Rp. ' + #numbers.formatDecimal(nilai, 0, 'POINT', 2, 'COMMA') }"></h2>
                                    </td>
                                </tr>
                                <tr>
                                    <td colspan="3" th:if="${referal == null}"><h4 style="margin-top: 10px;">Nominal Tagihan Formulir Pendaftaran :</h4></td>
                                    <td colspan="3" th:if="${referal != null}"><h4 style="margin-top: 10px;">Nominal Tagihan dengan Voucher :</h4></td>
                                </tr>
                                <tr>
                                    <td colspan="3" th:if="${referal == null}"><h2 style="font-weight: bold; margin-top: -5px" th:text="${'Rp. ' + #numbers.formatDecimal(nilai, 0, 'POINT', 2, 'COMMA') }"></h2></td>
                                    <td colspan="3" th:if="${referal != null}"><h2 style="font-weight: bold; margin-top: -5px" th:text="${'Rp. ' + #numbers.formatDecimal(nilaiD, 0, 'POINT', 2, 'COMMA') }"></h2></td>
                                </tr>
                                <tr>
                                    <td colspan="3">Klik Tombol Dibawah Untuk Mengirim Tagihan Formulir Pendaftaran.</td>
                                </tr>
                                <tr>
                                    <form method="post" th:action="@{/tagihan/listPendaftar}">
                                        <td colspan="3">
                                            <input type="hidden" th:if="${kode != null}" th:value="${kode}" name="kode">
                                            <button type="submit" name="simpan" class="btn btn-primary"><i class="fa fa-send"></i>&nbsp;Kirim Tagihan</button>
                                        </td>
                                    </form>
                                </tr>
                            </table>
                            <div class="col-sm-5" >
                                <div th:if="${pembayaran} != null and ${tagihan} != null" style="width: 200px; height: 75px; border: 8px solid red; text-align: center;">
                                    <h1>Lunas</h1>
                                </div>
                                <div th:if="${pembayaran} == null and ${tagihan} != null" style="width: 200px; height: 60px; border: 8px solid red; text-align: center;">
                                    <h3>Belum Lunas</h3>
                                </div>
                            </div>
                        </div>
                        <!-- info row -->
                            <div class="row" th:if="${tagihan} != null">
                                <div class="col-md-7 col-sm-12 col-xs-12" >
                                    <h4>Nomor Virtual Account</h4>
                                    <small style="color: red">*Pilih Salah Satu</small>
                                    <div class="table-responsive">
                                        <table class="table table-bordered table-striped table-hover">
                                            <tr th:each="va,row : ${virtualAccount}">
                                                <td th:text="${(row.index + 1) + (virtualAccount.number * virtualAccount.size)}">#</td>
                                                <td th:if="${va.bank.id != 'bsm001'}" th:text="${'Virtual Account '+va.bank.namaBank}">Virtual Account CIMB Syariah</td>
                                                <td th:if="${va.bank.id == 'bsm001'}" th:text="${'No Rek BSI Transfer dari bank berbeda (BCA, BRI, BNI , DLL) '+va.bank.namaBank}">Virtual Account CIMB Syariah</td>
                                                <th style="width:50%" th:text="${va.nomorVa}">20191000010020167</th>
                                            </tr>
                                            <tr>
                                                <td>3</td>
                                                <td>Virtual Account Sesama BSI</td>
                                                <th style="width:50%" th:text="${noVaBsi}"></th>
                                            </tr>
                                        </table>
                                    </div>
                                </div>
                            </div>
                                <a th:if="${pembayaran} != null and ${tagihan} != null" th:href="@{/kwitansi(id = ${pembayaran.id})}" style="margin-right: 100px;"  class="btn btn-sm btn-success">
                                    Kwitansi Pembayaran
                                </a>
                        </div>
                    </div>
                </div>
                <!-- /.row -->

                <!-- this row will not appear when printing -->
                <div class="row no-print" th:if="${pembayaran} == null">
                    <div class="col-xs-12" th:if="${tagihan} != null">
                        <button class="btn btn-default" id="doPrint"><i class="fa fa-print"></i>Cetak Tagihan</button>
                        <a th:href="@{/panduanPembayaran}" class="btn btn-success"></i>Panduan Pembayaran</a>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
</body>
<th:block layout:fragment="script">
    <script>
        document.getElementById("doPrint").addEventListener("click", function() {
            var printContents = document.getElementById('printDiv').innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        });
    </script>
</th:block>

</html>